import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false

Vue.prototype.$onLaunched = new Promise(resolve => {
    Vue.prototype.$isResolve = resolve
})

App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// import uviewPlus from '@/uni_modules/uview-plus'
import uviewPlus, {setConfig} from '@/uni_modules/uview-plus'
setConfig({
	// config: {
	// 	unit: 'rpx'
	// }
})
// import Vconsole from 'vconsole'
// new Vconsole()

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  app.config.globalProperties.$onLaunched = new Promise(resolve => {
	app.config.globalProperties.$isResolve = resolve
  })
  app.use(uviewPlus)
  return {
    app
  }
}
// #endif